# Interface ReadFileResponse

interface ReadFileResponse {
content?: string;
error?: string;
filename?: string;
message: string;
success: boolean;
type: "readFileResponse";
}

- Defined in node_modules/@codebolt/types/types/fs.d.ts:17

#####
Index

### Properties

content?
error?
filename?
message
success
type

## Properties

### `Optional` content

content?: string

- Defined in node_modules/@codebolt/types/types/fs.d.ts:22

### `Optional` error

error?: string

- Defined in node_modules/@codebolt/types/types/fs.d.ts:23

### `Optional` filename

filename?: string

- Defined in node_modules/@codebolt/types/types/fs.d.ts:21

### message

message: string

- Defined in node_modules/@codebolt/types/types/fs.d.ts:20

### success

success: boolean

- Defined in node_modules/@codebolt/types/types/fs.d.ts:19

### type

type: "readFileResponse"

- Defined in node_modules/@codebolt/types/types/fs.d.ts:18